Debian Bug report logs - #466330
RFA: markdown -- Text-to-HTML conversion tool

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Matt Kraai <kraai@ftbfs.org>

Date: Mon, 18 Feb 2008 03:33:04 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#466330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: submit@bugs.debian.org
Subject: O: markdown -- Text-to-HTML conversion tool
Date: Sun, 17 Feb 2008 19:28:35 -0800
Package: wnpp
Severity: normal




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#466330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 466330@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Matt Kraai <kraai@ftbfs.org>, 466330@bugs.debian.org
Cc: joeyh@debian.org
Subject: Re: Bug#466330: O: markdown -- Text-to-HTML conversion tool
Date: Mon, 18 Feb 2008 08:24:32 +0100
* Matt Kraai <kraai@ftbfs.org> [2008-02-17 19:28]:
> Package: wnpp
> Severity: normal

Seems like something joeyh would be interested in.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#466330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 466330@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Matt Kraai <kraai@ftbfs.org>, 466330@bugs.debian.org
Subject: Re: Bug#466330: O: markdown -- Text-to-HTML conversion tool
Date: Sun, 24 Feb 2008 17:39:59 -0500
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> * Matt Kraai <kraai@ftbfs.org> [2008-02-17 19:28]:
> > Package: wnpp
> > Severity: normal
> 
> Seems like something joeyh would be interested in.

It's a perl module, it should be maintained by pkg-perl..

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#466330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 466330@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 466330@bugs.debian.org
Subject: new upstream release (aka fork in Text::Markdown)
Date: Tue, 4 Mar 2008 20:18:01 -0500
[Message part 1 (text/plain, inline)]
There's a version 1.0.16 of Text::Markdown on CPAN now.
http://search.cpan.org/~bobtfish/Text-Markdown-1.0.16/

It includes multimarkdown in the same distribution. It also has a test
suite. This version seems to include the changes from markdown 
1.0.2b8, based on its changelog, though I haven't verified that.

At the moment I'm feeling like the thing to do is switch debian to the
CPAN version, packaging it as libtext-markdown-perl, and possibly
keeping the markdown package around for a while in case of compatibility
issues and/or because it provides /usr/bin/markdown, which the CPAN
version does not (though it could be easily added).

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#466330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 466330@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 466330@bugs.debian.org
Subject: Re: new upstream release (aka fork in Text::Markdown)
Date: Tue, 4 Mar 2008 20:40:45 -0500
[Message part 1 (text/plain, inline)]
One note about the CPAN version -- it's even slower than markdown
1.0.2~b8. (These benchmarks run markdown on a very simple text, "foo".)

markdown 1.0.1
  markdown:  3 wallclock secs ( 3.37 usr +  0.02 sys =  3.39 CPU) @ 2949.85/s (n=10000)

markdown 1.0.2~b8
  markdown:  6 wallclock secs ( 6.08 usr +  0.00 sys =  6.08 CPU) @ 1644.74/s (n=10000)

CPAN Text::Markdown 1.0.16
  markdown: 11 wallclock secs (10.48 usr +  0.01 sys = 10.49 CPU) @ 953.29/s (n=10000)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `RFA: markdown -- Text-to-HTML conversion tool' from `O: markdown -- Text-to-HTML conversion tool'. Request was from Matt Kraai <kraai@ftbfs.org> to control@bugs.debian.org. (Thu, 06 Mar 2008 02:45:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: markdown -- Text-to-HTML conversion tool' from `RFA: markdown -- Text-to-HTML conversion tool'. Request was from Bradley Smith <brad@brad-smith.co.uk> to control@bugs.debian.org. (Thu, 06 Mar 2008 14:12:04 GMT) Full text and rfc822 format available.

Owner recorded as brad@brad-smith.co.uk. Request was from Bradley Smith <brad@brad-smith.co.uk> to control@bugs.debian.org. (Thu, 06 Mar 2008 14:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, brad@brad-smith.co.uk:
Bug#466330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, brad@brad-smith.co.uk. Full text and rfc822 format available.

Message #36 received at 466330@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 472691@bugs.debian.org, 466330@bugs.debian.org
Subject: Re: Bug#472691: ITP: libtext-markdown-perl -- CPAN implementation of the Markdown markup language
Date: Tue, 25 Mar 2008 15:33:29 -0400
[Message part 1 (text/plain, inline)]
Adeodato Simó wrote:
> A fork of this code exists in CPAN, namely Text::Markdown. It aims at
> being compatible with the original markdown syntax, whilst fixing
> several bugs and being in general properly maintained. However, it is
> way way slower.

About 4x slower than the current markdown in unstable, or 2x as slow
as the markdown in experimental. See #466330.

However, Text::Markdown's author is at least making noises about
speeding it up. Apparently it's been profiled to spend most of its
time in Text::Balanced.

> I'm not very sure whether libtext-markdown-perl should Conflict: markdown,
> of if Markdown.pm should be handled via alternatives. Any opinions about
> that welcome.

I think that the following changes made in the debian package of markdown
should be reverted:

-package Markdown;
+package Text::Markdown;

+my $g_perl_module = exists $INC{'Text/Markdown.pm'};
# change above test to test for Markdown.pm

Then Markdown and Text::Markdown would be two distinct modules. Which
makes sense since they have different subroutine names as well.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, brad@brad-smith.co.uk:
Bug#466330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to 466330@bugs.debian.org, 472691@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, brad@brad-smith.co.uk. Full text and rfc822 format available.

Message #41 received at 466330@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Joey Hess <joeyh@debian.org>, 466330@bugs.debian.org
Cc: 472691@bugs.debian.org
Subject: Re: Bug#466330: Bug#472691: ITP: libtext-markdown-perl -- CPAN implementation of the Markdown markup language
Date: Wed, 26 Mar 2008 09:53:30 +0100
* Joey Hess [Tue, 25 Mar 2008 15:33:29 -0400]:

> I think that the following changes made in the debian package of markdown
> should be reverted:

> -package Markdown;
> +package Text::Markdown;

> +my $g_perl_module = exists $INC{'Text/Markdown.pm'};
> # change above test to test for Markdown.pm

Aaah. I thought providing the module as Text::Markdown came from
upstream. Great then.

There is still the question of whether to install script/Markdown.pl
from CPAN as /usr/bin/markdown, and handle that one with alternatives,
or not.

Cheers,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
- Oh! Uh, congratulations.
- For what?
- You know, your thing tomorrow, renewing your vows.
- You congratulate the groom. You offer the bride best wishes.
                -- Luke and Emily





Changed Bug title to `RFA: markdown -- Text-to-HTML conversion tool' from `ITA: markdown -- Text-to-HTML conversion tool'. Request was from Bradley Smith <brad@brad-smith.co.uk> to control@bugs.debian.org. (Fri, 11 Apr 2008 14:06:02 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by brad@brad-smith.co.uk. Request was from Bradley Smith <brad@brad-smith.co.uk> to control@bugs.debian.org. (Fri, 11 Apr 2008 14:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#466330; Package wnpp. (Mon, 08 Feb 2010 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 08 Feb 2010 21:57:03 GMT) Full text and rfc822 format available.

Message #50 received at 466330@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: Damyan Ivanov <dmn@debian.org>, 567378@bugs.debian.org, 466330@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#567378: Using alternatives for /usr/bin/markdown?
Date: Mon, 08 Feb 2010 22:50:28 +0100
Damyan Ivanov wrote:
> -=| Bernd Zeimetz, Mon, Feb 08, 2010 at 01:09:04PM +0100 |=-
>> as we have three packages now which provide /usr/bin/markdown it 
>> could make
>> sense to use alternatives here, although I didn't check if the three
>> implementations are compatible enough. At least this would be a better solution
>> than what the perl module does now - conflicting against the markdown package.
>> Probably people want to be able to use both versions?
>>
>> Any opinions on that?
> 
> Nt really an oppinion, rather just some data:
> 
> The contents of 'markdown' and 'libtext-markdown-perl' look very 
> similar:
> 
[...]
> 
> Reading their copyright files, it seems like libtext-markdown-perl is 
> a fork of John Gruber's markdown, which seems like not much maintained 
> upstream (last release in 2004).

Is there a reason why markdown should be kept in the archive then? Migrating to
to libtext-markdown-perl sounds like the best idea. I'm CCing the RFA bug for
markdown to let people know about that. We could make markdown a package which
depends on libtext-markdown-perl | python-markdown to migrate to an uptodate
version and handle /usr/bin/markdown by alternatives. The other option would be
to drop /usr/bin/markdown from the python package, I don't have a proper opinion
on that the best thing is yet.


-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: 06C8 C9A2 EAAD E37E 5B2C BE93 067A AD04 C93B FF79
                   ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#466330; Package wnpp. (Tue, 16 Feb 2010 09:06:07 GMT) Full text and rfc822 format available.

Message #53 received at 466330@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Bernd Zeimetz <bernd@bzed.de>
Cc: 567378@bugs.debian.org, 466330@bugs.debian.org, Matt Kraai <kraai@ftbfs.org>
Subject: Re: Bug#567378: Using alternatives for /usr/bin/markdown?
Date: Tue, 16 Feb 2010 11:01:26 +0200
[Message part 1 (text/plain, inline)]
-=| Bernd Zeimetz, Mon, Feb 08, 2010 at 10:50:28PM +0100 |=-
> Is there a reason why markdown should be kept in the archive then?

I think no. But the package is still listed as maintained as Matt 
Kraai. Matt, do you mind the proposed removal of the markdown package  
in favour of libtest-markdown-perl and python-markdown?

> Migrating to to libtext-markdown-perl sounds like the best idea. I'm 
> CCing the RFA bug for markdown to let people know about that. We 
> could make markdown a package which depends on libtext-markdown-perl 
> | python-markdown to migrate to an uptodate version and handle 
> /usr/bin/markdown by alternatives. The other option would be to drop 
> /usr/bin/markdown from the python package, I don't have a proper 
> opinion on that the best thing is yet.

Do I understand your suggestion correctly? You propose that 
libtext-markdown-perl adds a transitional 'markdown' binary package 
which depends on libtext-markdown-perl | python-markdown. Additionaly, 
'libtext-markdown-perl' and 'python-markdown' should conflict/replace 
'markdown (<< 1.0.26-2~)', right? (assuming 1.0.26-2 is the version 
introducing the 'markdown' binary package').

About alternatives, if we define "the markdown interface" to be

    markdown input > output

then both implementations seem to support it and alternatives are 
appropriate.

(Note that starting libt-m-p's markdown without arguments waits for 
input from STDIN (an can be used as 'markdown < input'), while p-m's 
markdown shows usage information. Not sure if this is an 
incompatibility that needs addressing)

Now we 'only' have to decide about priorities :)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#466330; Package wnpp. (Tue, 16 Feb 2010 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Feb 2010 09:48:03 GMT) Full text and rfc822 format available.

Message #58 received at 466330@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: Damyan Ivanov <dmn@debian.org>, Bernd Zeimetz <bernd@bzed.de>, 567378@bugs.debian.org, 466330@bugs.debian.org, Matt Kraai <kraai@ftbfs.org>
Subject: Re: Bug#567378: Using alternatives for /usr/bin/markdown?
Date: Tue, 16 Feb 2010 10:40:27 +0100
Damyan Ivanov wrote:
> -=| Bernd Zeimetz, Mon, Feb 08, 2010 at 10:50:28PM +0100 |=-
>> Is there a reason why markdown should be kept in the archive then?
> 
> I think no. But the package is still listed as maintained as Matt 
> Kraai. Matt, do you mind the proposed removal of the markdown package  
> in favour of libtest-markdown-perl and python-markdown?

The old /usr/bin/markdown is supposed to be a lot faster than the new perl
variant, so I'm wondering if it makes sense to keep it. Also we could probably
compare the speed of the Python version with the to Perl implementations. The
fastest one should be preferred in alternatives.

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: 06C8 C9A2 EAAD E37E 5B2C BE93 067A AD04 C93B FF79
                   ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#466330; Package wnpp. (Tue, 16 Feb 2010 12:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Feb 2010 12:57:06 GMT) Full text and rfc822 format available.

Message #63 received at 466330@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: Damyan Ivanov <dmn@debian.org>, Bernd Zeimetz <bernd@bzed.de>, 567378@bugs.debian.org, 466330@bugs.debian.org
Subject: Re: Bug#567378: Using alternatives for /usr/bin/markdown?
Date: Tue, 16 Feb 2010 04:54:14 -0800
On Tue, Feb 16, 2010 at 11:01:26AM +0200, Damyan Ivanov wrote:
> -=| Bernd Zeimetz, Mon, Feb 08, 2010 at 10:50:28PM +0100 |=-
> > Is there a reason why markdown should be kept in the archive then?
> 
> I think no. But the package is still listed as maintained as Matt 
> Kraai. Matt, do you mind the proposed removal of the markdown package  
> in favour of libtest-markdown-perl and python-markdown?

Removing it is fine with me.  I've been waiting for someone to adopt
it for some time anyway.

-- 
Matt                                            http://ftbfs.org/kraai




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#466330; Package wnpp. (Thu, 18 Feb 2010 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 18 Feb 2010 22:24:03 GMT) Full text and rfc822 format available.

Message #68 received at 466330@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: 567378@bugs.debian.org, 466330@bugs.debian.org
Subject: Re: Bug#567378: [Python-modules-team] Bug#567378: Using alternatives for /usr/bin/markdown?
Date: Fri, 19 Feb 2010 09:18:28 +1100
[Message part 1 (text/plain, inline)]
On 08-Feb-2010, Bernd Zeimetz wrote:
> Damyan Ivanov wrote:
> > Reading their copyright files, it seems like libtext-markdown-perl
> > is a fork of John Gruber's markdown, which seems like not much
> > maintained upstream (last release in 2004).
> 
> Is there a reason why markdown should be kept in the archive then?

One possible reason is that there appears to be no specification on
the parsing of Markdown format, other than “what John Gruber's
/usr/bin/markdown does”.

When two non-Gruber implementations differ in their behaviour, how do
we tell what's right?

-- 
 \       “My classmates would copulate with anything that moved, but I |
  `\               never saw any reason to limit myself.” —Emo Philips |
_o__)                                                                  |
Ben Finney <ben@benfinney.id.au>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#466330; Package wnpp. (Fri, 19 Feb 2010 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 19 Feb 2010 21:18:03 GMT) Full text and rfc822 format available.

Message #73 received at 466330@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Ben Finney <ben+debian@benfinney.id.au>
Cc: 567378@bugs.debian.org, 466330@bugs.debian.org
Subject: Re: Bug#567378: [Python-modules-team] Bug#567378: Using alternatives for /usr/bin/markdown?
Date: Fri, 19 Feb 2010 22:14:39 +0100
On Fri, Feb 19, 2010 at 09:18:28AM +1100, Ben Finney wrote:
> > > Reading their copyright files, it seems like libtext-markdown-perl
> > > is a fork of John Gruber's markdown, which seems like not much
> > > maintained upstream (last release in 2004).
> > 
> > Is there a reason why markdown should be kept in the archive then?
> 
> One possible reason is that there appears to be no specification on
> the parsing of Markdown format, other than ???what John Gruber's
> /usr/bin/markdown does???.

Sure there is:

http://daringfireball.net/projects/markdown/syntax

		Regards, Axel
-- 
Axel Beckert - abe@deuxchevaux.org, abe@noone.org - http://noone.org/abe/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#466330; Package wnpp. (Sun, 21 Feb 2010 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 21 Feb 2010 06:57:03 GMT) Full text and rfc822 format available.

Message #78 received at 466330@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Axel Beckert <abe@debian.org>
Cc: 567378@bugs.debian.org, 466330@bugs.debian.org
Subject: Re: Bug#567378: [Python-modules-team] Bug#567378: Using alternatives for /usr/bin/markdown?
Date: Sun, 21 Feb 2010 17:55:43 +1100
[Message part 1 (text/plain, inline)]
On 19-Feb-2010, Axel Beckert wrote:
> On Fri, Feb 19, 2010 at 09:18:28AM +1100, Ben Finney wrote:
> > One possible reason is that there appears to be no specification
> > on the parsing of Markdown format, other than ???what John
> > Gruber's /usr/bin/markdown does???.
> 
> Sure there is:
> 
> http://daringfireball.net/projects/markdown/syntax

Sorry, I didn't mean “a set of examples and prose explanation”. I
means a specification of the language, i.e. a formal grammar.

From what I gather, Markdown lacks one
<URL:http://www.cforcoding.com/2010/01/markdown-headings-grief-and-unknown.html>.

-- 
 \        “There are no significant bugs in our released software that |
  `\         any significant number of users want fixed.” —Bill Gates, |
_o__)                                                       1995-10-23 |
Ben Finney <ben@benfinney.id.au>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#466330; Package wnpp. (Sun, 21 Feb 2010 12:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 21 Feb 2010 12:51:06 GMT) Full text and rfc822 format available.

Message #83 received at 466330@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Ben Finney <ben+debian@benfinney.id.au>, 567378@bugs.debian.org, 466330@bugs.debian.org
Subject: Re: Bug#567378: [Python-modules-team] Bug#567378: Using alternatives for /usr/bin/markdown?
Date: Sun, 21 Feb 2010 13:49:18 +0100
On Sun, Feb 21, 2010 at 05:55:43PM +1100, Ben Finney wrote:
> On 19-Feb-2010, Axel Beckert wrote:
> > On Fri, Feb 19, 2010 at 09:18:28AM +1100, Ben Finney wrote:
> > > One possible reason is that there appears to be no specification
> > > on the parsing of Markdown format, other than ???what John
> > > Gruber's /usr/bin/markdown does???.
> > 
> > Sure there is:
> > 
> > http://daringfireball.net/projects/markdown/syntax
> 
> Sorry, I didn't mean ???a set of examples and prose explanation???. I
> means a specification of the language, i.e. a formal grammar.

I see. Sorry for the misunderstanding. 

> From what I gather, Markdown lacks one
> <URL:http://www.cforcoding.com/2010/01/markdown-headings-grief-and-unknown.html>.

Thanks for that link.

Interestingly in the single comment to that blog-post, there is a hint
to a PEG grammar for markdown and the parser based on it:

http://github.com/jgm/peg-markdown/blob/master/markdown_parser.leg

Could that help? It's not by Gruber, but IMHO it's a starting point.

		Regards, Axel
-- 
Axel Beckert - abe@deuxchevaux.org, abe@noone.org - http://noone.org/abe/




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:31:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.